function PlayerColor( pn )
   if pn == PLAYER_1 then return "#196bff" end  -- sea green
   if pn == PLAYER_2 then return "#ca4bff" end  -- orange
   return "1,1,1,1"
end

function DifficultyColor( dc )
   if dc == DIFFICULTY_BEGINNER  then return "#00f6ff" end  -- light blue
   if dc == DIFFICULTY_EASY      then return "#ffb400" end  -- yellow
   if dc == DIFFICULTY_MEDIUM    then return "#ff4ae8" end  -- light red
   if dc == DIFFICULTY_HARD      then return "#0cff00" end  -- light green
   if dc == DIFFICULTY_CHALLENGE then return "#CC0000" end  -- blue
   if dc == DIFFICULTY_EDIT      then return "#ca3249" end  -- gray
   return "#ca3249"
end

-- Get a color to show text on top of difficulty frames.
function ContrastingDifficultyColor( dc )
--   if dc == DIFFICULTY_BEGINNER  then return "#FF0000" end
--   if dc == DIFFICULTY_EASY      then return "#FF0000" end
--   if dc == DIFFICULTY_MEDIUM    then return "#FF0000" end
--   if dc == DIFFICULTY_HARD      then return "#009900" end
--   if dc == DIFFICULTY_CHALLENGE then return "#009900" end
--   if dc == DIFFICULTY_EDIT      then return "#009900" end

-- override all those, since this theme will have one color of frame >_>
   return "#E10000"
end

